{ config, pkgs, lib, ... }: {
  nixpkgs.overlays = [(final: prev: {
    mirotalk = prev.buildNpmPackage {
      pname = "mirotalk";
      version = "2025-11-01";
      src = prev.fetchFromGitHub {
        owner = "miroslavpejic85";
        repo = "mirotalk";
        rev = "168f4ce2675f6691dfceec352b72e7a53372c9a7";
        hash = "sha256-4HC25RM8GenHgNCYoJDWmtaUxnoSorr692RLa7PpW5s=";
      };
      npmDepsHash = "sha256-B0eHRkBThLgZ4SNA38uW1T4auCsUvS1ULOIR1iEoPqk=";
      dontNpmBuild = true;
    };
  })];

  environment.systemPackages = with pkgs; [
    mirotalk
  ];
}
